> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all team space memberships for a space GET https://api.contentful.com/spaces/{space_id}/team_space_memberships Returns a paginated collection of all team space memberships for the space. Only org admins, owners, and space admins can access this endpoint. Reference: https://contentful.com/developers/docs/references/user-management-api/team-space-memberships/get-all-team-space-memberships-for-a-space ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — The space ID ### Query parameters - `skip` (integer, optional) — Specify an offset to paginate through results - `limit` (integer, optional) — Specify the maximum number of results - `order` (enum, optional) — Specify sort order of result set - Allowed values: `sys.updatedAt`, `sys.createdAt` - `include` (enum, optional) — Specify linked resources to include in response - Allowed values: `roles`, `sys.team` - `sys.id` (string, optional) — Filter by team space membership ID ## Response ### 200 OK - Paginated list of team space memberships - `map from string to any` ## Examples **Response** ```json { "items": [ { "admin": false, "roles": [ { "sys": { "id": "1ElgCn1mi1UHSBLTP2v4TD", "linkType": "Role", "type": "Link" } } ], "sys": { "createdAt": "2025-05-16T04:06:17.000Z", "id": "0xWanD4AZI2AR35wW9q51n", "space": { "sys": { "id": "jn066pnp3hgr", "linkType": "Space", "type": "Link" } }, "team": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "Team", "type": "Link" } }, "type": "TeamSpaceMembership", "updatedAt": "2025-05-16T04:06:17.000Z", "version": 0 } } ], "limit": 25, "skip": 0, "sys": { "type": "Array" }, "total": 1 } ```